print('Hello, Alice! How are you?')
print('Hello, Bob! How are you?')
print('Hello, Carol! How are you?')
print('Hello, Dan! How are you?')


# We can do the same thing using a function instead
def hello(name):
    """Greet a person nicely"""
    text = 'Hello, ' + name + '! How are you?'
    print(text)
    
hello('Eve')
hello('Fred')
hello('Grace')



def ascii_wave():
    """Print an ascii wave"""
    print('\\'*40)
    print('/'*40)
    print('\\'*40)

def ascii_cat():
    """Print an ascii cat"""
    print(' /\_/\\')
    print('( o.o )')
    print(' > ^ <')

def ascii_square():
    """Print an ascii square"""
    print('+------+.')
    print('|`.    | `.')
    print('|  `+--+---+')
    print('|   |  |   |')
    print('+---+--+.  |')
    print(' `. |    `.|')
    print('   `+------+')

def ascii_castle():
    """Print an ascii castle"""
    print(' _   |~  _')
    print('[_]--\'--[_]')
    print('|\'|""`""|\'|')
    print('| | /^\\ | |')
    print('|_|_|I|_|_|')
    

print()
print('Here is a cat:')
ascii_cat()

print()
print('Here are two cats:')
ascii_cat()
ascii_cat()

print()
print('We can also print a castle:')
ascii_castle()


print()
print('Or a cat on a wave:')
ascii_cat()
ascii_wave()
